## net.sf.saxon.expr
Class TreatExpression

    java.lang.Object
      net.sf.saxon.expr.TreatExpression

public abstract class TreatExpression
extends java.lang.Object

Treat Expression: implements "treat as data-type ( expression )". This is a factory class only.

Constructor Summary
`TreatExpression()`

Method Summary
`static Expression` `make(Expression sequence, SequenceType type)` Make a treat expression

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreatExpression

    public TreatExpression()

Method Detail

### make

    public static Expression make(Expression sequence,
                                  SequenceType type)

  Make a treat expression

  Returns:
    the expression